Subject: Offline Message from Abdullah AlTurkistani: Regarding order # 100111530 I hav
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 07 Jun 2020 10:22:42 -0000

From: Abdullah AlTurkistani <[email-masked]>
Phone: 
Location: Tabuk, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/sales/order/view/order_id/1260349/
Department: 

Regarding order # 100111530
I have still not received the second item. its has been more than 3 months now. I have contacted you several time during these month to have the item delivered with no success. I want a refund for the amount of the item not delivered.

----
Zopim
https://www.zopim.com